Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTextureMapToPlane Class Reference

`#include <vtkTextureMapToPlane.h>`

Inheritance diagram for vtkTextureMapToPlane:

[legend]
Collaboration diagram for vtkTextureMapToPlane:

[legend]
List of all members.

## Detailed Description

generate texture coordinates by mapping points to plane

Date:
  2002/01/22 15:29:51

Revision:
  1.37

vtkTextureMapToPlane is a filter that generates 2D texture coordinates by mapping input dataset points onto a plane. The plane can either be user specified or generated automatically. (A least squares method is used to generate the plane automatically.)

There are two ways you can specify the plane. The first is to provide a plane normal. In this case the points are projected to a plane, and the points are then mapped into the user specified s-t coordinate range. For more control, you can specify a plane with three points: an origin and two points defining the two axes of the plane. (This is compatible with the vtkPlaneSource.) Using the second method, the SRange and TRange vectors are ignored, since the presumption is that the user does not want to scale the texture coordinates; and you can adjust the origin and axes points to achieve the texture coordinate scaling you need. Note also that using the three point method the axes do not have to be orthogonal.

See also:
  vtkTextureMapToBox vtkPlaneSource vtkTextureMapToCylinder vtkTextureMapToSphere vtkThresholdTextureCoords

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (75%)
  - Martin, Ken (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkTextureMapToPlane.cxx)`
  - .`h` (`/Graphics/vtkTextureMapToPlane.h)`

Examples:
  vtkTextureMapToPlane (Examples)

Tests:
  vtkTextureMapToPlane (Tests)

Definition at line 65 of file vtkTextureMapToPlane.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetOrigin (float, float, float)
virtual void | SetOrigin (float[3])
virtual float * | GetOrigin ()
virtual void | GetOrigin (float data[3])
virtual void | SetPoint1 (float, float, float)
virtual void | SetPoint1 (float[3])
virtual float * | GetPoint1 ()
virtual void | GetPoint1 (float data[3])
virtual void | SetPoint2 (float, float, float)
virtual void | SetPoint2 (float[3])
virtual float * | GetPoint2 ()
virtual void | GetPoint2 (float data[3])
virtual void | SetNormal (float, float, float)
virtual void | SetNormal (float[3])
virtual float * | GetNormal ()
virtual void | GetNormal (float data[3])
virtual void | SetSRange (float, float)
void | SetSRange (float[2])
virtual float * | GetSRange ()
virtual void | GetSRange (float data[2])
virtual void | SetTRange (float, float)
void | SetTRange (float[2])
virtual float * | GetTRange ()
virtual void | GetTRange (float data[2])
virtual void | SetAutomaticPlaneGeneration (int)
virtual int | GetAutomaticPlaneGeneration ()
virtual void | AutomaticPlaneGenerationOn ()
virtual void | AutomaticPlaneGenerationOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTextureMapToPlane * | SafeDownCast (vtkObject *o)
vtkTextureMapToPlane * | New ()
## Protected Methods
| vtkTextureMapToPlane ()
| ~vtkTextureMapToPlane ()
void | Execute ()
void | ComputeNormal ()
## Protected Attributes
float | Origin [3]
float | Point1 [3]
float | Point2 [3]
float | Normal [3]
float | SRange [2]
float | TRange [2]
int | AutomaticPlaneGeneration

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkTextureMapToPlane::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 68 of file vtkTextureMapToPlane.h.

## Constructor & Destructor Documentation

vtkTextureMapToPlane::vtkTextureMapToPlane | ( |  | ) | `[protected]`

vtkTextureMapToPlane::~vtkTextureMapToPlane | ( |  | ) | `[inline, protected]`

| Definition at line 123 of file vtkTextureMapToPlane.h.

## Member Function Documentation

virtual const char* vtkTextureMapToPlane::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkTextureMapToPlane::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkTextureMapToPlane::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkTextureMapToPlane* vtkTextureMapToPlane::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkTextureMapToPlane::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkTextureMapToPlane* vtkTextureMapToPlane::New | ( |  | ) | `[static]`

| Construct with s,t range=(0,1) and automatic plane generation turned on. Reimplemented from vtkObject.

virtual void vtkTextureMapToPlane::SetOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify a point defining the origin of the plane. Used in conjunction with the Point1 and Point2 ivars to specify a map plane.

virtual void vtkTextureMapToPlane::SetOrigin | ( | float | [3] | ) | `[virtual]`

| Specify a point defining the origin of the plane. Used in conjunction with the Point1 and Point2 ivars to specify a map plane.

virtual float* vtkTextureMapToPlane::GetOrigin | ( |  | ) | `[virtual]`

| Specify a point defining the origin of the plane. Used in conjunction with the Point1 and Point2 ivars to specify a map plane.

virtual void vtkTextureMapToPlane::GetOrigin | ( | float | data[3] | ) | `[virtual]`

| Specify a point defining the origin of the plane. Used in conjunction with the Point1 and Point2 ivars to specify a map plane.

virtual void vtkTextureMapToPlane::SetPoint1 | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify a point defining the first axis of the plane.

virtual void vtkTextureMapToPlane::SetPoint1 | ( | float | [3] | ) | `[virtual]`

| Specify a point defining the first axis of the plane.

virtual float* vtkTextureMapToPlane::GetPoint1 | ( |  | ) | `[virtual]`

| Specify a point defining the first axis of the plane.

virtual void vtkTextureMapToPlane::GetPoint1 | ( | float | data[3] | ) | `[virtual]`

| Specify a point defining the first axis of the plane.

virtual void vtkTextureMapToPlane::SetPoint2 | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify a point defining the second axis of the plane.

virtual void vtkTextureMapToPlane::SetPoint2 | ( | float | [3] | ) | `[virtual]`

| Specify a point defining the second axis of the plane.

virtual float* vtkTextureMapToPlane::GetPoint2 | ( |  | ) | `[virtual]`

| Specify a point defining the second axis of the plane.

virtual void vtkTextureMapToPlane::GetPoint2 | ( | float | data[3] | ) | `[virtual]`

| Specify a point defining the second axis of the plane.

virtual void vtkTextureMapToPlane::SetNormal | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify plane normal. An alternative way to specify a map plane. Using this method, the object will scale the resulting texture coordinate between the SRange and TRange specified.

virtual void vtkTextureMapToPlane::SetNormal | ( | float | [3] | ) | `[virtual]`

| Specify plane normal. An alternative way to specify a map plane. Using this method, the object will scale the resulting texture coordinate between the SRange and TRange specified.

virtual float* vtkTextureMapToPlane::GetNormal | ( |  | ) | `[virtual]`

| Specify plane normal. An alternative way to specify a map plane. Using this method, the object will scale the resulting texture coordinate between the SRange and TRange specified.

virtual void vtkTextureMapToPlane::GetNormal | ( | float | data[3] | ) | `[virtual]`

| Specify plane normal. An alternative way to specify a map plane. Using this method, the object will scale the resulting texture coordinate between the SRange and TRange specified.

virtual void vtkTextureMapToPlane::SetSRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify s-coordinate range for texture s-t coordinate pair.

void vtkTextureMapToPlane::SetSRange | ( | float | [2] | ) |

| Specify s-coordinate range for texture s-t coordinate pair.

virtual float* vtkTextureMapToPlane::GetSRange | ( |  | ) | `[virtual]`

| Specify s-coordinate range for texture s-t coordinate pair.

virtual void vtkTextureMapToPlane::GetSRange | ( | float | data[2] | ) | `[virtual]`

| Specify s-coordinate range for texture s-t coordinate pair.

virtual void vtkTextureMapToPlane::SetTRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify t-coordinate range for texture s-t coordinate pair.

void vtkTextureMapToPlane::SetTRange | ( | float | [2] | ) |

| Specify t-coordinate range for texture s-t coordinate pair.

virtual float* vtkTextureMapToPlane::GetTRange | ( |  | ) | `[virtual]`

| Specify t-coordinate range for texture s-t coordinate pair.

virtual void vtkTextureMapToPlane::GetTRange | ( | float | data[2] | ) | `[virtual]`

| Specify t-coordinate range for texture s-t coordinate pair.

virtual void vtkTextureMapToPlane::SetAutomaticPlaneGeneration | ( | int |  | ) | `[virtual]`

| Turn on/off automatic plane generation.

virtual int vtkTextureMapToPlane::GetAutomaticPlaneGeneration | ( |  | ) | `[virtual]`

| Turn on/off automatic plane generation.

virtual void vtkTextureMapToPlane::AutomaticPlaneGenerationOn | ( |  | ) | `[virtual]`

| Turn on/off automatic plane generation.

virtual void vtkTextureMapToPlane::AutomaticPlaneGenerationOff | ( |  | ) | `[virtual]`

| Turn on/off automatic plane generation.

void vtkTextureMapToPlane::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkTextureMapToPlane::ComputeNormal | ( |  | ) | `[protected]`

## Member Data Documentation

float vtkTextureMapToPlane::Origin[3]`[protected]`

| Definition at line 128 of file vtkTextureMapToPlane.h.

float vtkTextureMapToPlane::Point1[3]`[protected]`

| Definition at line 129 of file vtkTextureMapToPlane.h.

float vtkTextureMapToPlane::Point2[3]`[protected]`

| Definition at line 130 of file vtkTextureMapToPlane.h.

float vtkTextureMapToPlane::Normal[3]`[protected]`

| Definition at line 131 of file vtkTextureMapToPlane.h.

float vtkTextureMapToPlane::SRange[2]`[protected]`

| Definition at line 132 of file vtkTextureMapToPlane.h.

float vtkTextureMapToPlane::TRange[2]`[protected]`

| Definition at line 133 of file vtkTextureMapToPlane.h.

int vtkTextureMapToPlane::AutomaticPlaneGeneration`[protected]`

| Definition at line 134 of file vtkTextureMapToPlane.h.

The documentation for this class was generated from the following file:

- Graphics/vtkTextureMapToPlane.h